Skip to main content
GET
/
v2
/
notes
Get all Notes
curl --request GET \
  --url https://api.affinity.co/v2/notes \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 1,
      "type": "ai-notetaker",
      "content": {
        "html": "<p> This is an AI Notetaker note! </p>"
      },
      "creator": {
        "id": 1,
        "firstName": "Jane",
        "lastName": "Doe",
        "primaryEmailAddress": "jane.doe@acme.co",
        "type": "internal"
      },
      "mentions": [],
      "transcriptId": 1,
      "createdAt": "2023-01-01T00:00:00Z",
      "updatedAt": "2023-01-21T00:00:00Z"
    },
    {
      "id": 2,
      "type": "ai-notetaker",
      "content": {
        "html": "<p> This is another AI Notetaker note! </p>"
      },
      "creator": {
        "id": 1,
        "firstName": "Jane",
        "lastName": "Doe",
        "primaryEmailAddress": "jane.doe@acme.co",
        "type": "internal"
      },
      "mentions": [],
      "transcriptId": 2,
      "createdAt": "2024-01-01T00:00:00Z",
      "updatedAt": "2024-01-21T00:00:00Z"
    }
  ],
  "pagination": {
    "prevUrl": "https://api.affinity.co/v2/notes?cursor=ICAgICAgYmVmb3JlOjo6Nw",
    "nextUrl": "https://api.affinity.co/v2/notes?cursor=ICAgICAgIGFmdGVyOjo6NA"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

totalCount
boolean
default:false

Include total count of the collection in the pagination response

cursor
string

Cursor for the next or previous page

limit
integer<int32>
default:20

Number of items to include in the page

Required range: 0 <= x <= 100
filter
string

Filter options

includes
enum<string>[]

Additional properties to include in the response

Available options:
companiesPreview,
personsPreview,
opportunitiesPreview,
repliesCount

Response

OK

NotesPaged model

data
(notes.EntitiesNote · object | notes.InteractionNote · object | notes.AiNotetakerRootNote · object | notes.UserReplyNote · object | notes.AiNotetakerReplyNote · object)[]
required

A page of Note objects

Maximum array length: 100

A Note object attached to an entity (Person, Company, Opportunity)

pagination
PaginationWithTotalCount · object
required
Example:
{
"prevUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgYmVmb3JlOjo6Nw",
"nextUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgIGFmdGVyOjo6NA"
}